Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Kan niets meer updaten en installeren  (gelezen 1095 keer)

Offline arthur2708

  • Lid
  • Steunpunt: Nee
Kan niets meer updaten en installeren
« Gepost op: 2013/03/21, 11:30:26 »
Ik krijg deze foutmelding in Synaptic :
Selecting previously unselected package linux-image-3.5.0-27-generic.
dpkg: onherstelbare fatale fout, afbreken:
 reading files list for package 'libqt4-test:i386': Invoer-/uitvoerfout
E: Sub-process /usr/bin/dpkg returned an error code (2)
Een pakket kon niet geïnstalleerd worden. Aan het proberen om te herstellen:

isntall -f helpt niet.

Wat wel ?
« Laatst bewerkt op: 2013/03/25, 10:23:42 door arthur2708 »
You gotta be hungry !

Offline Ron

  • Forumteam
    • r0n
    • Dwarsligger
  • Steunpunt: Ja
Re: Kan niets meer updaten en installeren
« Reactie #1 Gepost op: 2013/03/21, 12:33:09 »
sudo dpkg --configure -a  (type fouten voorbehouden :lol:
Dit moet de toverspreuk zijn.
OpenStandaard evangelist, OpenSource promotor, OpenData liefhebber.
Xubuntu gebruiker en voorstander (XFCE).
In Nederland bekend als een dwarsligger.

Offline arthur2708

  • Lid
  • Steunpunt: Nee
Re: Kan niets meer updaten en installeren
« Reactie #2 Gepost op: 2013/03/21, 13:25:38 »
Nadat ik sudo dpkg --configure -a heb gedaan deed ik een upgrade met als gevolg :

artvds2708@artvds2708:~$ sudo apt-get upgrade
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
Statusinformatie wordt gelezen... Klaar
De volgende pakketten zijn achtergehouden:
  linux-headers-generic linux-image-generic
De volgende pakketten zullen opgewaardeerd worden:
  linux-libc-dev
1 pakketten opgewaardeerd, 0 pakketten nieuw geïnstalleerd, 0 te verwijderen en 2 niet opgewaardeerd.
Er moeten 0 B/890 kB aan archieven opgehaald worden.
Door deze operatie zal er 4096 B extra schijfruimte gebruikt worden.
Wilt u doorgaan [J/n]? J
dpkg: onherstelbare fatale fout, afbreken:
 reading files list for package 'libqt4-test:i386': Invoer-/uitvoerfout
E: Sub-process /usr/bin/dpkg returned an error code (2)
artvds2708@artvds2708:~$
You gotta be hungry !

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Re: Kan niets meer updaten en installeren
« Reactie #3 Gepost op: 2013/03/21, 13:36:33 »
Probeer dit eens:
sudo apt-get clean && sudo rm /var/lib/apt/lists/* -vf && sudo apt-get update
« Laatst bewerkt op: 2013/03/21, 13:38:10 door Pjotr »

Offline arthur2708

  • Lid
  • Steunpunt: Nee
Re: Kan niets meer updaten en installeren
« Reactie #4 Gepost op: 2013/03/21, 15:03:29 »
@pjotr
Het heeft een keertje gewerkt en toen niet meer.
Kan weer niets installeren.
« Laatst bewerkt op: 2013/03/21, 15:41:02 door arthur2708 »
You gotta be hungry !

Offline arthur2708

  • Lid
  • Steunpunt: Nee
Re: Kan niets meer updaten en installeren
« Reactie #5 Gepost op: 2013/03/21, 15:46:04 »
Ik krijg wel steeds dit  bestandje in mijn home folder : C:\nppdf32Log\debuglog.txt
Kan dit de boosdoener zijn?

Waarschijnlijk via wine of playonlinux binnengehaald.
Gebruik beide overings niet.
Was alleen even om te proberen
You gotta be hungry !

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Re: Kan niets meer updaten en installeren
« Reactie #6 Gepost op: 2013/03/21, 17:15:14 »
Wat je nog kunt proberen:
- veranderen van spiegelserver (zet 'm eens op Main);
- bronnenlijst zuiveren: https://sites.google.com/site/computertip/bronnen
- daarna weer schoonmaakopdracht uitvoeren.

Offline arthur2708

  • Lid
  • Steunpunt: Nee
Re: Kan niets meer updaten en installeren
« Reactie #7 Gepost op: 2013/03/21, 19:34:15 »
@pjotr.
Je oplossing was slechts eenmalig.
Na opnieuw opstarten kreeg ik deze melding via Synaptic :
dpkg: onherstelbare fatale fout, afbreken:
 reading files list for package 'libqt4-test:i386': Invoer-/uitvoerfout
W: Er is gewacht op dpkg --assert-multi-arch, maar die kwam niet - dpkgGo (10: Geen dochterprocessen)
E: Sub-process /usr/bin/dpkg returned an error code (2)
Een pakket kon niet geïnstalleerd worden. Aan het proberen om te herstellen:


En weer staat er in mijn home folder : C:\nppdf32Log\debuglog.txt
« Laatst bewerkt op: 2013/03/22, 11:03:56 door arthur2708 »
You gotta be hungry !

Offline arthur2708

  • Lid
  • Steunpunt: Nee
Re: Kan niets meer updaten en installeren
« Reactie #8 Gepost op: 2013/03/22, 11:10:19 »
Dit is de text in het C:\nppdf32Log\debuglog.txt bestand

NPP_GetValue is called
NPP_GetValue is called
NPP_GetValue is called
NPP_GetValue is called
NPP_GetValue is called
NPP_GetValue is called

En het blijft maar meer en meer van de zelfde regel worden
You gotta be hungry !

Offline arthur2708

  • Lid
  • Steunpunt: Nee
Re: Kan niets meer updaten en installeren
« Reactie #9 Gepost op: 2013/03/22, 12:49:35 »
Kreeg net dit tijdens een verwijdering via software center.
Wilde iets anders verwijderen dan de tekst aangeeft :
installArchives() failed: Selecting previously unselected package thunderbird-locale-nl.
(Reading database ...
(Reading database ... 5%%
(Reading database ... 10%%
(Reading database ... 15%%
(Reading database ... 20%%
(Reading database ... 25%%
(Reading database ... 30%%
(Reading database ... 35%%
(Reading database ... 40%%
(Reading database ... 45%%
(Reading database ... 50%%
(Reading database ... 55%%
(Reading database ... 60%%
(Reading database ... 65%%
(Reading database ... 70%%
(Reading database ... 75%%
(Reading database ... 80%%
(Reading database ... 85%%
(Reading database ... 90%%
dpkg: unrecoverable fatal error, aborting:
 reading files list for package 'libqt4-test:i386': Input/output error
Error in function:

Misschien dat hiet de oplossing in ligt ??
You gotta be hungry !


Offline arthur2708

  • Lid
  • Steunpunt: Nee
Re: Kan niets meer updaten en installeren
« Reactie #11 Gepost op: 2013/03/23, 20:08:35 »
Na heel wat gezoek is het, denk ik, opgelost.
Hoe ?
Door dit te doen :
aartvds2708@artvds2708:~$ sudo apt-get install libqtcore4:i386
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
Statusinformatie wordt gelezen... Klaar
libqtcore4 is reeds de nieuwste versie.
U wilt waarschijnlijk 'apt-get -f install' uitvoeren om volgende op te lossen:
De volgende pakketten hebben niet-voldane vereisten:
 aptitude : Vereisten: libboost-iostreams1.46.1 (>= 1.46.1-1) maar het is niet installeerbaar
            Vereisten: libcwidget3 maar het zal niet geïnstalleerd worden
E: Er zijn niet-voldane vereisten. U kunt best 'apt-get -f install' uitvoeren zonder pakketten op te geven, (of u kunt zelf een oplossing specificeren).
artvds2708@artvds2708:~$ sudo apt-get -f install
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
Statusinformatie wordt gelezen... Klaar
Vereisten worden gecorrigeerd... Klaar
De volgende extra pakketten zullen geïnstalleerd worden:
  aptitude aptitude-common libboost-iostreams1.49.0 libcwidget3
Voorgestelde pakketten:
  aptitude-doc-en aptitude-doc tasksel debtags libcwidget-dev
De volgende NIEUWE pakketten zullen geïnstalleerd worden:
  aptitude-common libboost-iostreams1.49.0 libcwidget3
De volgende pakketten zullen opgewaardeerd worden:
  aptitude
1 pakketten opgewaardeerd, 3 pakketten nieuw geïnstalleerd, 0 te verwijderen en 0 niet opgewaardeerd.
1 pakketten niet volledig geïnstalleerd of verwijderd.
Er moeten 2513 kB aan archieven opgehaald worden.
Door deze operatie zal er 3132 kB extra schijfruimte gebruikt worden.
Wilt u doorgaan [J/n]? J
You gotta be hungry !

Offline arthur2708

  • Lid
  • Steunpunt: Nee
Re: Kan niets meer updaten en installeren
« Reactie #12 Gepost op: 2013/03/25, 10:24:15 »
Bovenstaande werkte even voor 2 dagen en nu helaas niet meer.
Wat nu te doen ?
You gotta be hungry !

Offline Cumulus007

  • Lid
  • Steunpunt: Nee
Re: Kan niets meer updaten en installeren
« Reactie #13 Gepost op: 2013/03/25, 11:26:18 »
sudo e2fsck -n /dev/sda1

(ervan uitgaande dat /dev/sda1 je Ubuntu-partitie is).

Dit zal je partitie scannen op fouten, maar ze niet repareren. Plaats hier de uitkomst.

Offline arthur2708

  • Lid
  • Steunpunt: Nee
Re: Kan niets meer updaten en installeren
« Reactie #14 Gepost op: 2013/03/25, 16:22:40 »
Bij deze dank ik ieder voor het meedenken.
Ik heb echter besloten om een clean install te maken.
En het programma van de belastingdienst er niet meer op te zetten.
Want dat was het laatste programma wat er op heb gezet voordat het gezeur begon.
Misschien is dit niet de boosdoener, maar voor mijn gevoel wel.
You gotta be hungry !

Offline Cumulus007

  • Lid
  • Steunpunt: Nee
Re: Kan niets meer updaten en installeren
« Reactie #15 Gepost op: 2013/03/25, 20:16:35 »
Bij deze dank ik ieder voor het meedenken.
Ik heb echter besloten om een clean install te maken.
En het programma van de belastingdienst er niet meer op te zetten.
Want dat was het laatste programma wat er op heb gezet voordat het gezeur begon.
Misschien is dit niet de boosdoener, maar voor mijn gevoel wel.

Zonde, misschien is het wel gewoon een fout in je bestandssysteem.